Source: libclone-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: gregor herrmann <gregoa@debian.org>,
           Ansgar Burchardt <ansgar@debian.org>,
           Xavier Guimard <yadd@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libb-cow-perl <!nocheck>,
               libtaint-runtime-perl <!nocheck>,
               perl-xs-dev,
               perl:native
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libclone-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libclone-perl.git
Homepage: https://metacpan.org/release/Clone
Rules-Requires-Root: no

Package: libclone-perl
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: module for recursively copying Perl datatypes
 The Clone module provides a clone() method which makes recursive copies of
 nested hash, array, scalar and reference types, including tied variables and
 objects.
 .
 It is faster (although less flexible) than Storable's dclone. Its
 functionality is _not_ serializing in-memory objects (i.e. as
 Data::Dumper or YAML::Dump do), but deep-copying them over to new
 in-memory structures.
